Retrieve Charge - m3ter Documentation
Retrieve Charge
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/charges/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/charges/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/charges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
200
{
"id": "<string>",
"version": 123,
"name": "<string>",
"code": "<string>",
"accountId": "<string>",
"billDate": "2023-12-25",
"amount": 123,
"units": 123,
"unitPrice": 123,
"currency": "<string>",
"description": "<string>",
"entityId": "<string>",
"billId": "<string>",
"accountingProductId": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"contractId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"scheduleId": "<string>"
}
Error Responses
{
"message": "<string>"
}
Authorization
Authorization required in header as a string and is required for machine-to-machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
- orgId: UUID of the organization (required)
- id: UUID of the Charge to retrieve (required)
Response Codes
- 200: Successful response with charge details.